- Qt 5.15
- Qt Quick 3D
- QML Types
- DistortionSpiral QML Type
- Qt Quick 3D | Commercial or GPLv3

# DistortionSpiral QML Type

A spiral distortion effect. More...

Import Statement: | import QtQuick3D.Effects 1.15

- List of all members, including inherited members

## Properties

- center : vector2d
- distortionStrength : real
- radius : real

## Detailed Description

The DistortionSpiral effect creates a twirl-shaped distortion.

## Property Documentation

center : vector2d

The focus point of the distortion. `Qt.vector2d(0.5, 0.5)` (i.e. the center of the scene) by default.

distortionStrength : real

The distortion amount. Range is `[-10...10`. `1.0` by default.

radius : real

The area of distortion. Range is `[0...1]`. `0.25` by default.